Skip to main content
GET
List users

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string<uuid>
required

Tenant ID

Example:

"b360ec79-ee0e-45a1-a6cc-279f5a10ab68"

Search term

status
string

Comma-separated list of user statuses to filter by

Example:

"ACTIVE,INACTIVE,INVITED"

sourceType
string

Comma-separated list of source types to filter by (e.g., "Directory Sync", "Manually Added")

Example:

"Directory Sync,Manually Added"

employeeType
string

Employee type filter

roleIds
string

Filter by role IDs (comma-separated UUIDs)

Example:

"f8e2d583-819a-463c-b815-af1c927b4017,6f5fbaec-a2a6-422b-93f3-b5d5532cdb88"

groupIds
string

Filter by group IDs (comma-separated UUIDs)

Example:

"2b63dc7d-4d1f-4f04-9611-23edb3e7ebfd,06c279f8-e3f6-4496-874a-f7f5aebad2c2"

positionIds
string

Filter by position IDs (comma-separated UUIDs)

Example:

"ce066ed3-1f02-4c6b-a1c4-d06986567e78,8674cce9-8fbf-409f-90fb-2e203803c35e"

managerIds
string

Filter by manager IDs (comma-separated UUIDs)

Example:

"379bb5dd-99f8-4afc-97f0-54368bc6f91c,7f1954e9-ee53-4ebf-be1e-00f2cd4520be"

primaryOrgIds
string

Filter by primary organization IDs (comma-separated UUIDs)

Example:

"8e6f65f2-bb0a-4762-bf1e-845f05cfc237,62cdb51a-b375-4ec8-ae8a-793c96316900"

externalId
string

Filter by external ID

Example:

"EXT123456"

createdDateStart
string<date-time>

Creation date range - start date

createdDateEnd
string<date-time>

Creation date range - end date

updatedDateStart
string<date-time>

Last updated date range - start date

updatedDateEnd
string<date-time>

Last updated date range - end date

lastLoginDateStart
string<date-time>

Last login date range - start date

lastLoginDateEnd
string<date-time>

Last login date range - end date

sortBy
string

Field to sort by

sortOrder
enum<string>

Sort order

Available options:
asc,
desc

Response

200 - application/json

Users fetched successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-12T09:10:13.120Z"

message
string
required
Example:

"Success"

data
object